#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

#define forn(i, n) for (int i = 0; i < int(n); i++)
#define forn1(i, n) for (int i = 1; i < int(n); i++)
#define all(c) (c).begin(), (c).end()
#define pb push_back
#define MOD 1000000007 // 998244353
#define FIO                \
    ios::sync_with_stdio(false); \
    cin.tie(0);                  \
    cout.tie(0);

int main()
{
	FIO
	int n, l; cin >> n >> l;
	int first = -1;
	forn(i, n)
	{
		int x; cin >> x;
		if (x <= l && first == -1)
			first = i+1;
	}
	cout << first << endl;
}